%define module Tie-Watch
%define pmodule Tie::Watch

Summary: Place watchpoints on Perl variables
Name:    perl-%module
Version: 1.1
Release: 1mdk
License: GPL or Artistic
Group:   Development/Perl
Source:  %module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: perl-devel
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module binds one or more subroutines of your devising to a Perl variable.
With Tie::Watch one can:
- alter a variable's value
- prevent a variable's value from being changed
- invoke a Perl/Tk callback when a variable changes
- trace references to a variable


%prep
%setup -q -n %module-%version


%build
perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{_mandir}/*/*
%{perl_vendorlib}/Tie/

%changelog
* Mon Dec 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-1mdk
- initial release
